Signals / REST API

Pause signal tracker

Pause a signal tracker.

POST /api/mcp/signals/trackers/{trackerId}/pauseDeterministic operation

Parameters

workspaceIdOptional · string
Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
trackerIdRequired · string
See the input schema for this field.
Request example
curl -X POST "https://app.pipeline.help/api/mcp/signals/trackers/00000000-0000-4000-8000-000000000000/pause" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string",
      "minLength": 1,
      "description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
    },
    "trackerId": {
      "type": "string"
    }
  },
  "required": [
    "trackerId"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview